
function printf(...) io.write(string.format(unpack(arg))) end

function main()
	io.write("Hello world, from ",_VERSION,"!\n")
end

function init()
	printf("lua - about to create a texturelibrary\n")
	tl = TextureLibrary()
	printf("lua - about to load a png\n")
	tl:loadpng("data\\colors512.png","colors")
	printf("lua - done in init\n")
end

